January 4, 2008 · General · Email This Post

Avant Window Navigator (Awn) is a dock-like bar which sits at the bottom of the screen. It has support for launchers, task lists, and third party applets.The Awn project is the development of the ‘dock', avant-window-navigator, and its corresponding shared library ‘libawn', which is used to develop applets.

Note :- The Avant Window Navigator depends on compiz before installing Avant Window Navigator you need to make sure you have desktop effects enabled and without this you should not go through the trouble of installing Avant Window Navigator.

Thanks to Marius for this

First you need to edit the /etc/apt/sources.list file using the following command

sudo gedit /etc/apt/sources.list

add the following two lines

For Hardy Users

deb http://ppa.launchpad.net/reacocard-awn/ubuntu hardy main
deb-src http://ppa.launchpad.net/reacocard-awn/ubuntu hardy main

For Gutsy Users

deb http://ppa.launchpad.net/reacocard-awn/ubuntu gutsy main
deb-src http://ppa.launchpad.net/reacocard-awn/ubuntu gutsy main

For Feisty Users

deb http://ppa.launchpad.net/reacocard-awn/ubuntu feisty main
deb-src http://ppa.launchpad.net/reacocard-awn/ubuntu feisty main

Save and exit the file.

Update the source list using the following command

sudo aptitude update

Install Avant Window Navigator (AWN) in Ubuntu

sudo aptitude install avant-window-navigator-bzr awn-core-applets-bzr

This will complete the installation

You can now start AWN from Applications->Accessories->Avant Window Navigator

AWN Bar

Once it is running, you can right click on the bar that it opens up, and choose preferences to set all of the different things that you want AWN to handle

Sponsored Link

Incoming search terms:

Related posts

16 Comments to “HowTo install Avant Window Navigator (AWN) in Ubuntu 7.10 (Gutsy Gibbon)”

  1. Markus says:

    Hey!

    It seems that the tux server (the user) is not available anymore. Do you have any other resources???

    Great site btw!

    Thx Markus

    [Reply]

  2. Markus says:

    EDIT: the package is available in the backports! Just add this line to the sources.list

    deb http://de.archive.ubuntu.com/ubuntu/ gutsy-backports restricted main multiverse universe

    then proceed as written above.

    [Reply]

  3. Bob says:

    I keep on getting ‘libpango’ errors each time I come to the final command:

    Reading package lists… Done
    Building dependency tree
    Reading state information… Done
    Reading extended state information
    Initialising package states… Done
    Building tag database… Done
    The following packages are BROKEN:
    avant-window-navigator-bzr awn-core-applets-bzr libawn-bzr
    The following NEW packages will be automatically installed:
    python-libawn-bzr
    The following packages have been kept back:
    compiz compiz-core compiz-fusion-plugins-extra compiz-gnome
    compiz-plugins hpijs hplip hplip-data libdecoration0 libpoppler-glib2
    libpoppler2 libtheora0 ntfs-3g poppler-utils
    The following NEW packages will be installed:
    python-libawn-bzr
    0 packages upgraded, 4 newly installed, 0 to remove and 14 not upgraded.
    Need to get 2976kB of archives. After unpacking 11.3MB will be used.
    The following packages have unmet dependencies:
    awn-core-applets-bzr: Depends: libpango1.0-0 (>= 1.18.3) but 1.18.2-0ubuntu1 is installed.
    avant-window-navigator-bzr: Depends: libpango1.0-0 (>= 1.18.3) but 1.18.2-0ubuntu1 is installed.
    libawn-bzr: Depends: libpango1.0-0 (>= 1.18.3) but 1.18.2-0ubuntu1 is installed.
    Resolving dependencies…
    Unable to resolve dependencies! Giving up…
    Abort.

    Do you have any ideas? I’m using a fresh installation of Ubuntu Gutsy

    [Reply]

  4. admin says:

    try to run the following command and check

    sudo apt-get -f install

    [Reply]

  5. aleksei says:

    Hei, it’s work!!!!
    First help file for installing AWN which working.
    Thanks!!!!

    [Reply]

  6. stesteste says:

    hei i have the same problem but the second command you get doesn’t work… any other ideas?
    it’s written in italian ;-)

    …I seguenti pacchetti sono DIFETTOSI:
    avant-window-navigator-bzr awn-core-applets-bzr
    libawn-bzr
    I seguenti pacchetti NUOVI (NEW) saranno automaticamente installati:
    python-libawn-bzr
    I seguenti pacchetti NUOVI (NEW) saranno installati:
    python-libawn-bzr
    0 pacchetti aggiornati, 4 installati, 0 da rimuovere e 0 non aggiornati.
    È necessario prelevare 2976kB di archivi. Dopo l’estrazione, verranno occupati 11,3MB.
    I seguenti pacchetti hanno dipendenze non soddisfatte:
    awn-core-applets-bzr: Dipende: libpango1.0-0 (>= 1.18.3) ma 1.18.2-0ubuntu1 è installato.
    avant-window-navigator-bzr: Dipende: libpango1.0-0 (>= 1.18.3) ma 1.18.2-0ubuntu1 è installato.
    libawn-bzr: Dipende: libpango1.0-0 (>= 1.18.3) ma 1.18.2-0ubuntu1 è installato.
    Resolving dependencies…
    Impossibile risolvere le dipendenze. Ricerca abbandonata.
    Uscita.
    stesteste@stesteste-laptop:~$ sudo apt-get -f instal
    E: Operazione non valida instal
    stesteste@stesteste-laptop:~$ sudo apt-get -f install
    Lettura della lista dei pacchetti in corso… Fatto
    Generazione dell’albero delle dipendenze in corso
    Reading state information… Fatto
    0 aggiornati, 0 installati, 0 da rimuovere e 0 non aggiornati.

    [Reply]

  7. Wladek says:

    Hi, i have a little problem.It seems to be that both server are no longer available, could anybody write here another tux server?

    Reading state information… Hotovo
    Reading extended state information
    Initializing package states… Hotovo
    Building tag database… Hotovo
    Couldn’t find any package whose name or description matched “avant-window-navigator-bzr”
    No candidate version found for awn-core-applets-bzr
    The following packages have been automatically kept back:
    amarok-xine audacious-plugins libxine1 libxine1-ffmpeg
    The following packages have been kept back:
    amarok audacious compiz-core compiz-fusion-plugins-extra compiz-gnome
    compiz-plugins libpoppler-glib2 mplayer ntfs-3g
    0 packages upgraded, 0 newly installed, 0 to remove and 13 not upgraded.
    Need to get 0B of archives. After unpacking 0B will be used.
    Writing extended state information… Hotovo
    ?tu seznamy balík?… Hotovo
    Vytvá?ím strom závislostí
    Reading state information… Hotovo
    Reading extended state information
    Initializing package states… Hotovo
    Building tag database… Hotovo

    [Reply]

  8. phoenix_abhi says:

    How can I install it for hardy. My gedit shows this on awn. I installed it from some source and tick the box to start with login. but its not. Why ?

    deb http://ppa.launchpad.net/awn-testing/ubuntu hardy main
    deb-src http://ppa.launchpad.net/awn-testing/ubuntu hardy main

    [Reply]

  9. paulley says:

    When i type this command, wget http://download.tuxfamily.org/syzygy42/reacocard.asc, it says the 404 can’t be found. Is it a typo, or does it not exist anymore?

    [Reply]

  10. fumky says:

    It doesnt exist anymore: http://download.tuxfamily.org/syzygy42/index.html

    just follow instructions at new page!

    [Reply]

  11. admin says:

    @Fumky

    Thanks for your comment.I have updated the source list with launchpad ppa

    [Reply]

  12. Linux Blog's says:

    hello there… nice articles… It works with my hardy… Keep posting…

    ————————–
    linuxblogs.co.nr
    ————————–

    [Reply]

  13. Aqib says:

    Very helpful, thanks!

    [Reply]

  14. karps says:

    hey, i have tried to go through the steps but it cannot find the file when i go to install it, is there another location i can use?

    [Reply]

  15. karps says:

    i new to linux, so if you could explain it in nub terms that would be great :)

    [Reply]

  16. its been updated.

    sudo apt-get install avant-window-navigator

    [Reply]

Leave a Reply